# $Revision: 1.6 $, $Date: 2004/11/05 11:10:53 $
Summary:	Qt based patchbay for Jack Audio Connection Kit
Summary(pl):	Oparty o Qt patchbay dla Jack Audio Connection Kit
Name:		qjackconnect
Version:	0.0.3b
Release:	2
License:	GPL
Group:		X11/Applications/Sound
URL:		http://www.suse.de/~mana/jack.html
Source0:	ftp://ftp.suse.com/pub/people/mana/%{name}-%{version}.tar.bz2
# Source0-md5:	b22c700dcb7b5f856f49b1de526a23d6
Source1:	%{name}.desktop
Patch0:		%{name}-paths_and_flags.patch
BuildRequires:	XFree86-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	qt-devel >= 3.1.2
Provides:	jack-patchbay
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Qt based patchbay for Jack Audio Connection Kit.

%description -l pl
Oparty o bibliotek Qt patchbay dla Jack Audio Connection Kit.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -f make_qjackconnect \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}}

install -c qjackconnect $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qjackconnect.spec,v $
Revision 1.6  2004/11/05 11:10:53  paladine
- rel 2 for fixed desktop file

Revision 1.5  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.4  2003/10/16 11:21:06  freetz
- cosmetics, rel.1

Revision 1.3  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.2  2003/06/28 19:41:47  freetz
- added .desktop files

Revision 1.1  2003/06/21 12:44:58  freetz
- initial release
